Ship to Contacts associated with the subscription
get
/ccstore/v1/selfservice/subscriptions/{subscriptionNumber}/shipToContacts
Retrieves all ship to contacts associated with the subscription of logged in profile in the currently authenticated session. If the profile is not logged in or is anonymous then the endpoint will fail. The endpoint will responds with same data what is received from corresponding subscription endpoint
Request
Supported Media Types
- application/json
Path Parameters
-
subscriptionNumber(required): string
The subscription number
Query Parameters
-
finder: array
Filter response fields
-
limit: integer
Specifies the number of ship to contacts to be retrieved starting from offset. Default value for the limit is 25 and max value is also 25.
-
offset: integer
Starting index when paging through contacts.
-
orderBy: string
The sort order
-
q: string
The query to use
-
totalResults: boolean
Calculate total results countDefault Value:
false
Response
Supported Media Types
- application/json
200 Response
Response containing the list of ship to contacts associated with the subscription
Root Schema : getSubscriptionShipToContacts_Response
Type:
Show Source
object-
count:
integer
The number of resource instances returned in the current range.
-
hasMore:
boolean
Indicates whether more resources are available on the server than the subset returned in the response. If true, additional resources can be requested; default is false.
-
items:
array Items
Title:
ItemsThe external contacts in the collection. -
limit:
integer
The actual paging size used by the server.
-
links:
array links
HATEOAS-style links related to the current resource.
-
offset:
integer
The offset value used in the current page.
-
totalResults:
integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : items
Type:
Show Source
object-
ContactId:
integer
Title:
Contact IdentifierThe unique identifier of the contact. -
ContactName:
string
Title:
Contact NameThe full name of the contact. -
ContactNumber:
string
Title:
Contact NumberThe system-generated contact number or identifier. -
ContactPointId:
[
"integer",
"null"
]
Title:
Contact Point IdThe identifier of the contact point record. -
ContactPointType:
[
"string",
"null"
]
Title:
Contact Point TypeThe type of contact point (for example, EMAIL). -
Department:
[
"string",
"null"
]
Title:
DepartmentThe department of the contact. -
DirectionalFlag:
boolean
Title:
Directional FlagIndicates whether the relationship is directional. -
EmailAddress:
[
"string",
"null"
]
Title:
Email AddressThe contact???s email address. -
JobTitle:
[
"string",
"null"
]
Title:
Job TitleThe contact???s job title. -
OrgContactId:
integer
Title:
Organization Contact IdThe identifier of the organizational contact. -
PartyId1:
integer
Title:
Party Identifier 1The primary party identifier. -
PartyId1_1:
integer
Title:
Party Identifier 1_1Additional party identifier. -
PartyId2:
integer
Title:
Party Identifier 2The related party identifier. -
PartyName1:
string
Title:
Party NameThe name of the related party. -
RelationshipRecId:
integer
Title:
Relationship Record IdThe identifier of the relationship record. -
Status:
string
Title:
StatusThe status of the contact (for example, A=Active, I=Inactive).
Nested Schema : items
Type:
Show Source
object-
href:
string
The target URL of the link.
-
kind:
string
The kind of resource (for example, collection or item).
-
name:
string
The name of the linked resource.
-
rel:
string
The relation type of the link.
Default Response
The error response.
The following are the internal error codes thrown by this API when the request processing fails in Oracle Commerce Cloud:
|Error Code|Description|
|------------------|------------------|
|59000|If there is a missing required property.|
|59002|If request can't be processed currently.|
|59003|If there is any invalid path parameter|
|59004|If resource is not found|
|59005|If error occurred while processing input.|
|59008|If any issue occurred while triggering the fusion.|
|59010|If self service is not enabled|
Root Schema : Error
Type:
Show Source
object-
errorCode:
string
The numerical code identifying the error
-
message:
string
-
moreInfo:
string
An optional non-localized message with more information
-
status:
string
The HTTP status code